org.apache.commons.text.similarity

## Class IntersectionResult

- java.lang.Object
- - org.apache.commons.text.similarity.IntersectionResult

-     public class IntersectionResult
      extends Object

  Represents the intersection result between two sets.

  Stores the size of set A, set B and the intersection of A and B (`|A ∩ B|`).

  This class is immutable.

  Since:
    1.7
  See Also:
    Intersection

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntersectionResult(int sizeA, int sizeB, int intersection)` Create the results for an intersection between two sets.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getIntersection()` Get the size of the intersection between set A and B.
    `int` | `getSizeA()` Get the size of set A.
    `int` | `getSizeB()` Get the size of set B.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IntersectionResult

          public IntersectionResult(int sizeA,
                                    int sizeB,
                                    int intersection)

      Create the results for an intersection between two sets.
      Parameters:
        `sizeA` - the size of set A (`|A|`)
        `sizeB` - the size of set B (`|B|`)
        `intersection` - the size of the intersection of A and B (`|A ∩ B|`)
      Throws:
        `IllegalArgumentException` - if the sizes are negative or the intersection is greater than the minimum of the two set sizes

  - ### Method Detail

    - #### getSizeA

          public int getSizeA()

      Get the size of set A.
      Returns:
        |A|

    - #### getSizeB

          public int getSizeB()

      Get the size of set B.
      Returns:
        |B|

    - #### getIntersection

          public int getIntersection()

      Get the size of the intersection between set A and B.
      Returns:
        `|A ∩ B|`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014–2019 The Apache Software Foundation. All rights reserved.